Loading...
Searching...
No Matches
Gfx::CDefaultFramebuffer Class Reference

Concrete implementation of default framebuffer. More...

`#include <src/graphics/core/framebuffer.h>`

Inheritance diagram for Gfx::CDefaultFramebuffer:
[legend]

## Public Member Functions

| CDefaultFramebuffer (const FramebufferParams &params)
bool | Create () override
| Creates default framebuffer.
void | Destroy () override
| Destroys default framebuffer.
bool | IsDefault () override
| Returns true.
int | GetWidth () override
| Returns width of buffers in this framebuffer.
int | GetHeight () override
| Returns height of buffers in this framebuffer.
int | GetDepth () override
| Returns depth size in bits.
int | GetSamples () override
| Returns number of samples or 1 if multisampling is not supported.
int | GetColorTexture () override
| Returns texture that contains color buffer or 0 if not available.
int | GetDepthTexture () override
| Returns texture that contains depth buffer or 0 if not available.
void | Bind () override
| Binds this framebuffer to context.
void | Unbind () override
| Unbinds this framebuffer from context.
void | CopyToScreen (int fromX, int fromY, int fromWidth, int fromHeight, int toX, int toY, int toWidth, int toHeight) override
| Copies content of color buffer to screen.

## Detailed Description

Concrete implementation of default framebuffer.

This class represents default framebuffer implementation.

## Member Function Documentation

## Create()

bool Gfx::CDefaultFramebuffer::Create | ( |  | ) |

override virtual

Creates default framebuffer.

Implements Gfx::CFramebuffer.

## Destroy()

void Gfx::CDefaultFramebuffer::Destroy | ( |  | ) |

override virtual

Destroys default framebuffer.

Implements Gfx::CFramebuffer.

## IsDefault()

bool Gfx::CDefaultFramebuffer::IsDefault | ( |  | ) |

override virtual

Returns true.

Implements Gfx::CFramebuffer.

## GetWidth()

int Gfx::CDefaultFramebuffer::GetWidth | ( |  | ) |

override virtual

Returns width of buffers in this framebuffer.

Implements Gfx::CFramebuffer.

## GetHeight()

int Gfx::CDefaultFramebuffer::GetHeight | ( |  | ) |

override virtual

Returns height of buffers in this framebuffer.

Implements Gfx::CFramebuffer.

## GetDepth()

int Gfx::CDefaultFramebuffer::GetDepth | ( |  | ) |

override virtual

Returns depth size in bits.

Implements Gfx::CFramebuffer.

## GetSamples()

int Gfx::CDefaultFramebuffer::GetSamples | ( |  | ) |

override virtual

Returns number of samples or 1 if multisampling is not supported.

Implements Gfx::CFramebuffer.

## GetColorTexture()

int Gfx::CDefaultFramebuffer::GetColorTexture | ( |  | ) |

override virtual

Returns texture that contains color buffer or 0 if not available.

Implements Gfx::CFramebuffer.

## GetDepthTexture()

int Gfx::CDefaultFramebuffer::GetDepthTexture | ( |  | ) |

override virtual

Returns texture that contains depth buffer or 0 if not available.

Implements Gfx::CFramebuffer.

## Bind()

void Gfx::CDefaultFramebuffer::Bind | ( |  | ) |

override virtual

Binds this framebuffer to context.

Implements Gfx::CFramebuffer.

## Unbind()

void Gfx::CDefaultFramebuffer::Unbind | ( |  | ) |

override virtual

Unbinds this framebuffer from context.

Implements Gfx::CFramebuffer.

## CopyToScreen()

void Gfx::CDefaultFramebuffer::CopyToScreen | ( | int | fromX,
|  | int | fromY,
|  | int | fromWidth,
|  | int | fromHeight,
|  | int | toX,
|  | int | toY,
|  | int | toWidth,
|  | int | toHeight )

override virtual

Copies content of color buffer to screen.

Implements Gfx::CFramebuffer.

The documentation for this class was generated from the following files:

- src/graphics/core/framebuffer.h
- src/graphics/core/framebuffer.cpp